POST
/v3/mgmt/sso/settingsAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
enabled?boolean
mergeUsers?boolean
redirectUrl?string
Length
length <= 1024allowDuplicateSSODomainsInOtherTenants?boolean
groupPriorityEnabled?boolean
allowOverrideRoles?boolean
limitMappingToMandatoryAttributes?boolean
blockIfEmailDomainMismatch?boolean
markEmailAsUnverified?boolean
mandatoryUserAttributes?object
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
emailConnectorId?string
Length
length <= 254emailTemplateId?string
Active template selection by id. Absent = keep the current selection; "" = reset to the built-in System template; a template id = select that stored template.
Length
length <= 254ssoSuiteStyleId?string
Length
length <= 254hideSsoSuiteScim?boolean
hideSsoSuiteGroupsMapping?boolean
hideSsoSuiteDomains?boolean
hideSsoSuiteSaml?boolean
hideSsoSuiteOidc?boolean
ssoSuiteForceDomainVerification?boolean
ssoSuiteSupportEmail?string
Length
length <= 254ssoSuiteShowHelpContact?boolean
hideSsoSuiteJitGuide?boolean
oidcLoginIdMappingDefaultOverride?string
Length
length <= 254hideSsoSuiteRoleMapping?boolean
hideSsoSuiteFgaMapping?boolean
hideSsoSuiteSso?boolean
allowMergeUsersWithMultipleTenants?boolean
showSsoSuiteXaa?boolean
externalEmailTemplateId?string
Length
length <= 254ssoSuiteLoginFlowId?string
Length
length <= 254ssoSuiteLoginFlowStyleId?string
Length
length <= 254hideSsoSuiteAudit?boolean
Hides the audit log page of the SSO Setup Suite, which lists a tenant's recent SSO login and SCIM events for the SSO configuration being set up. Default false (the page is shown). A tenant with tenant-level suite settings uses its own ssoSetupSuiteSettings.disabledFeatures.audit instead.
Set the project's SSO settings, using a valid management key.
curl -X POST "https://api.descope.com/v3/mgmt/sso/settings" \ -H "Content-Type: application/json" \ -d '{}' Was this helpful?